package com.ruoyi.web.bo;

import lombok.Data;

import java.util.List;

/**
 * 采集数据(0x21)
 */
@Data
public class GatherBo {

    private List<Steps> steps;

    //集装箱或散货接口调用状态：0=默认值 1=通过
    private Integer jsStatus;
    //海关接口调用状态：0=默认值 1=通过
    private Integer containerStatus;

    //0=不验空箱,1=需验空箱
    private Integer isEmpty;
    //0=不验重箱,1=需验重箱
    private Integer isLoaded;

    //道口号
    private String crossCode;
    //前箱号
    private String cntrnoF;
    //前箱的 UNISO 代码
    private String cntrnoFType;
    //后箱号
    private String cntrnoA;
    //后箱的UNISO 代码
    private String cntrnoAType;

    //进出标识，I进E出
    private String ieFlag;
    //场站号，固定写为场所分配的场站号
    private String areaId;
    //通道号，已经从通道号配置文件中读取
    private String chnlNo;
    //通道业务类型，通常为A，已经读取
    private String getherMode;
    //会话编号，自动生成
    private String sessionId;

    //ic卡配置信息
    //读取到的ic卡号
    private String icId;
    private String icGoodsName;
    private String icBillNo;
    private String icNo;
    private String icType;
    private String icExtendedContent;

    private String drCustomsNo;
    private String veCustomsNo;
    //读取到的车牌号信息
    private String veLicenseNo;
    private String esealId;
    //读取到的地磅重量
    private double grossWt;

    //veRfid信息
    //rfid卡号信息
    private String veRfidId;
    //rfid绑定的光学车牌信息
    private String veLicenseNoRfid;
    private String veCustomsNoRfid;
    private String veWtRfid;
    private String veCompanyRfid;
    private String vePerformanceRfid;

    //drRfid信息
    private String drRfidId;
    private String drName;
    private String drCustomsNoRfid;
    private String drCompany;
    private String drPerformance;

    private String operatorId;
    private String operateTime;


    private String domesticLicenseNo;
    //车牌图片保存路径，如有箱号，有箱号图片路径
    private String domesticLicenseColor;
    private String foreignLicenseNo;
    private String foreignLicenseColor;
    private String confidenceRatio;

    /**
     * 散货过磅地点
     */
    private String placeCode;
    /**
     * 散货道口号
     */
    private String gateNo;
    /**
     * 接口是否发送——散货过磅地点:0=不发送,1=发送
     */
    private Integer isSendPlaceCode;
}
