package com.ruoyi.web.config;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Data
@Accessors(chain = true)
@Component
public class ConfigComponent {

    @Value("${manager.host}")
    private String host;
    @Value("${manager.beatPort}")
    private Integer beatPort;

    @Value("${intermodalTranspor.gateIdentifyUrl}")
    private String gateIdentifyUrl;
    @Value("${intermodalTranspor.appid}")
    private String appid;

    @Value("${reservation.reservationUrl}")
    private String reservationUrl;

    @Value("${customs.gatherUrl}")
    private String gatherUrl;

    @Value("${customs.releaseUrl}")
    private String releaseUrl;

    @Value("${bulkload.LogOnUrl}")
    private String LogOnUrl;
    @Value("${bulkload.LogOffUrl}")
    private String LogOffUrl;
    @Value("${bulkload.InVerificationUrl}")
    private String InVerificationUrl;
    @Value("${bulkload.OutVerificationUrl}")
    private String OutVerificationUrl;
    @Value("${bulkload.InWeightUrl}")
    private String InWeightUrl;
    @Value("${bulkload.OutWeightUrl}")
    private String OutWeightUrl;
    @Value("${bulkload.InReportUrl}")
    private String InReportUrl;
    @Value("${bulkload.OutReportUrl}")
    private String OutReportUrl;
    @Value("${bulkload.InWeightReportUrl}")
    private String InWeightReportUrl;
    @Value("${bulkload.OutWeightReportUrl}")
    private String OutWeightReportUrl;
    @Value("${bulkload.PrintCountUrl}")
    private String PrintCountUrl;

    @Value("${container.SAVETRUCKINFORUrl}")
    private String SAVETRUCKINFORUrl;
    @Value("${container.SAVEWEIGHTINFORUrl}")
    private String SAVEWEIGHTINFORUrl;
    @Value("${container.SAVECONTAINERINFORUrl}")
    private String SAVECONTAINERINFORUrl;
    @Value("${container.SAVEDMGCDINFORUrl}")
    private String SAVEDMGCDINFORUrl;
    @Value("${container.GETCARDSUrl}")
    private String GETCARDSUrl;
    @Value("${container.GETOUTCARDSUrl}")
    private String GETOUTCARDSUrl;
    @Value("${container.SAVEPLANINFORUrl}")
    private String SAVEPLANINFORUrl;
    @Value("${container.TRUCKPASSUrl}")
    private String TRUCKPASSUrl;
    @Value("${container.CONFIRMOUTYARDUrl}")
    private String CONFIRMOUTYARDUrl;
    @Value("${container.GetBookingInfoUrl}")
    private String GetBookingInfoUrl;
    @Value("${container.UpdateSealNoUrl}")
    private String UpdateSealNoUrl;
    @Value("${container.GetDamageCodeUrl}")
    private String GetDamageCodeUrl;
    @Value("${container.SavelDamageInfoUrl}")
    private String SavelDamageInfoUrl;

    @Value("${bulkload.UserName}")
    private String UserName;
    @Value("${bulkload.PassWord}")
    private String PassWord;
    @Value("${bulkload.AuthToken}")
    private String AuthToken;

}
