package com.ruoyi.web.config;

import com.ruoyi.web.config.DateUtils;
import com.ruoyi.web.entity.GatherData;
import com.ruoyi.web.entity.Release;

public class MessageXML {

    //81报文
    public static String get81Xml(GatherData gatherData) {
        //会话编号: 场站号 + 通道号 + 当前时间戳后六位
        Long timestamp = System.currentTimeMillis();
        String timeStr = String.valueOf(timestamp);
        String last6 = timeStr.substring(timeStr.length() - 1);
        String SESSION_ID = gatherData.getAREA_ID() + gatherData.getCHNL_NO() + last6;

        String xml = "<?xml version=\"1.0\" encoding=\"GB2312\"?>\n" +
                "<GATHER_INFO>\n" +
                //进出标识，I进E出
                "<I_E_FLAG>"+ gatherData.getI_E_FLAG() +"</I_E_FLAG>\n" +
                //场站号，固定写为场所分配的场站号
                "<AREA_ID>"+ gatherData.getAREA_ID() +"</AREA_ID>\n" +
                //通道号，已经从通道号配置文件中读取
                "<CHNL_NO>"+ gatherData.getCHNL_NO() +"</CHNL_NO>\n" +
                //通道业务类型，通常为A，已经读取
                "<GETHER_MODE>"+ gatherData.getGETHER_MODE() +"</GETHER_MODE>\n" +
                //会话编号，自动生成
                "<SESSION_ID>"+ SESSION_ID +"</SESSION_ID>\n" +

                //IC卡配置信息
                "<IC_INFO>\n" +
                //读取到的IC卡号
                "<IC_ID>"+ gatherData.getIC_ID() +"</IC_ID>\n" +
                "<IC_NO>"+ gatherData.getIC_NO() +"</IC_NO>\n" +
                "<IC_Type>"+ gatherData.getIC_Type() +"</IC_Type>\n" +
                "<IC_EXTENDED_CONTENT>"+ gatherData.getIC_EXTENDED_CONTENT() +"</IC_EXTENDED_CONTENT>\n" +
                "</IC_INFO>\t\n" +

                "<FORM_INFO>\n" +
                "<FORM_TYPE></FORM_TYPE>\n" +
                "<FORM_ID></FORM_ID>\n" +
                "</FORM_INFO>\n" +

                "<DR_CUSTOMS_NO>"+ gatherData.getDR_CUSTOMS_NO() +"</DR_CUSTOMS_NO>\n" +
                "<VE_CUSTOMS_NO>"+ gatherData.getVE_CUSTOMS_NO() +"</VE_CUSTOMS_NO>\n" +
                //读取到的车牌号信息
                "<VE_LICENSE_NO>"+ gatherData.getVE_LICENSE_NO() +"/VE_LICENSE_NO>\n" +
                "<CONTA_ID></CONTA_ID>\n" +
                "<CONTA_ID></CONTA_ID>\n" +
                "<ESEAL_ID>"+ gatherData.getESEAL_ID() +"</ESEAL_ID>\n" +
                //读取到的地磅重量
                "<GROSS_WT>"+ gatherData.getGROSS_WT() +"</GROSS_WT>\n" +

                //RFID信息
                "<VE_RFID>\n" +
                //RFID卡号信息
                "<RFID_ID>"+ gatherData.getVE_RFID_ID() +"</RFID_ID>\n" +
                //RFID绑定的光学车牌信息
                "<VE_LICENSE_NO>"+ gatherData.getVE_LICENSE_NO_RFID() +"</VE_LICENSE_NO>\n" +
                "<VE_CUSTOMS_NO>"+ gatherData.getVE_CUSTOMS_NO_RFID() +"</VE_CUSTOMS_NO>\n" +
                "<VE_WT>"+ gatherData.getVE_WT_RFID() +"</VE_WT>\n" +
                "<VE_COMPANY>"+ gatherData.getVE_COMPANY_RFID() +"</VE_COMPANY>\n" +
                "<VE_PERFORMANCE>"+ gatherData.getVE_PERFORMANCE_RFID() +"</VE_PERFORMANCE>\n" +
                "</VE_RFID>\t\n" +

                "<DR_RFID>\n" +
                "<RFID_ID>"+ gatherData.getDR_RFID_ID() +"</RFID_ID>\n" +
                "<DR_NAME>"+ gatherData.getDR_NAME() +"</DR_NAME>\n" +
                "<DR_CUSTOMS_NO>"+ gatherData.getDR_CUSTOMS_NO_RFID() +"</DR_CUSTOMS_NO>\n" +
                "<DR_COMPANY>"+ gatherData.getDR_COMPANY() +"</DR_COMPANY>\n" +
                "<DR_PERFORMANCE>"+ gatherData.getDR_PERFORMANCE() +"</DR_PERFORMANCE>\n" +
                "</DR_RFID>\t\n" +

                "<PHOTO>\n" +
                "<PHOTO_GUID></PHOTO_GUID>\n" +
                "<PHOTO_PERSPECTIVE></PHOTO_PERSPECTIVE>\n" +
                "</PHOTO>\n" +

                "<OPERATOR_ID>"+ gatherData.getOPERATOR_ID() +"</OPERATOR_ID>\n" +
                "<OPERATE_TIME>"+ gatherData.getOPERATE_TIME() +"</OPERATE_TIME>\t\n" +

                "<EXTEND>\n" +
                "<NAME></NAME>\n" +
                "<VALUE></VALUE>\n" +
                "</EXTEND>\t\n" +
                "<CONTA_RECOGNITION>\n" +
                "<CONTA_ID></CONTA_ID>\n" +
                "<CONTA_TYPE></CONTA_TYPE>\n" +
                "<CONTA_F_PIC></CONTA_F_PIC>\n" +
                "<CONTA_B_PIC></CONTA_B_PIC>\n" +
                "<CONTA_FL_PIC></CONTA_FL_PIC>\n" +
                "<CONTA_FR_PIC></CONTA_FR_PIC>\n" +
                "<CONTA_BL_PIC></CONTA_BL_PIC>\n" +
                "<CONTA_BR_PIC></CONTA_BR_PIC>\n" +
                "<CONTA_LOCK></CONTA_LOCK>\n" +
                "<CONFIDENCE_RATIO></CONFIDENCE_RATIO>\n" +
                "</CONTA_RECOGNITION>\n" +

                "<VE_LICENSE_RECOGNITION>\n" +
                "<DOMESTIC_LICENSE_NO>"+ gatherData.getDOMESTIC_LICENSE_NO() +"</DOMESTIC_LICENSE_NO>\n" +
                //车牌图片保存路径，如有箱号，有箱号图片路径
                "<DOMESTIC_LICENSE_COLOR>"+ gatherData.getDOMESTIC_LICENSE_COLOR() +"</DOMESTIC_LICENSE_COLOR>\n" +
                "<FOREIGN_LICENSE_NO>"+ gatherData.getFOREIGN_LICENSE_NO() +"</FOREIGN_LICENSE_NO>\n" +
                "<FOREIGN_LICENSE_COLOR>"+ gatherData.getFOREIGN_LICENSE_COLOR() +"</FOREIGN_LICENSE_COLOR>\n" +
                "<CONFIDENCE_RATIO>"+ gatherData.getCONFIDENCE_RATIO() +"</CONFIDENCE_RATIO>\n" +
                "</VE_LICENSE_RECOGNITION>\n" +

                "</GATHER_INFO>";

        return xml;
    }

    //采集数据报文(0x21)——>海关
    public static String gatherXml(GatherData gatherData) {
        //会话编号: 场站号 + 通道号 + 当前时间戳后六位
        Long timestamp = System.currentTimeMillis();
        String timeStr = String.valueOf(timestamp);
        String last6 = timeStr.substring(timeStr.length() - 1);
        String SESSION_ID = gatherData.getAREA_ID() + gatherData.getCHNL_NO() + last6;

        String xml = "<?xml version=\"1.0\" encoding=\"GB2312\"?>\n" +
                "<GATHER_INFO>\n" +
                //进出标识，I进E出
                "<I_E_FLAG>"+ gatherData.getI_E_FLAG() +"</I_E_FLAG>\n" +
                //场站号，固定写为场所分配的场站号
                "<AREA_ID>"+ gatherData.getAREA_ID() +"</AREA_ID>\n" +
                //通道号，已经从通道号配置文件中读取
                "<CHNL_NO>"+ gatherData.getCHNL_NO() +"</CHNL_NO>\n" +
                //通道业务类型，通常为A，已经读取
                "<GETHER_MODE>"+ gatherData.getGETHER_MODE() +"</GETHER_MODE>\n" +
                //会话编号，自动生成
                "<SESSION_ID>"+ SESSION_ID +"</SESSION_ID>\n" +

                //IC卡配置信息
                "<IC_INFO>\n" +
                //读取到的IC卡号
                "<IC_ID>"+ gatherData.getIC_ID() +"</IC_ID>\n" +
                "<IC_GOODS_NAME>"+ gatherData.getIC_GOODS_NAME() +"</IC_GOODS_NAME>\n" +
                "<IC_BILL_NO>"+ gatherData.getIC_BILL_NO() +"</IC_BILL_NO>\n" +
                "<IC_NO>"+ gatherData.getIC_NO() +"</IC_NO>\n" +
                "<IC_Type>"+ gatherData.getIC_Type() +"</IC_Type>\n" +
                "<IC_EXTENDED_CONTENT>"+ gatherData.getIC_EXTENDED_CONTENT() +"</IC_EXTENDED_CONTENT>\n" +
                "</IC_INFO>\t\n" +

                "<DR_CUSTOMS_NO>"+ gatherData.getDR_CUSTOMS_NO() +"</DR_CUSTOMS_NO>\n" +
                "<VE_CUSTOMS_NO>"+ gatherData.getVE_CUSTOMS_NO() +"</VE_CUSTOMS_NO>\n" +
                //读取到的车牌号信息
                "<VE_LICENSE_NO>"+ gatherData.getVE_LICENSE_NO() +"/VE_LICENSE_NO>\n" +
                "<ESEAL_ID>"+ gatherData.getESEAL_ID() +"</ESEAL_ID>\n" +
                //读取到的地磅重量
                "<GROSS_WT>"+ gatherData.getGROSS_WT() +"</GROSS_WT>\n" +

                //RFID信息
                "<VE_RFID>\n" +
                //RFID卡号信息
                "<RFID_ID>"+ gatherData.getVE_RFID_ID() +"</RFID_ID>\n" +
                //RFID绑定的光学车牌信息
                "<VE_LICENSE_NO>"+ gatherData.getVE_LICENSE_NO_RFID() +"</VE_LICENSE_NO>\n" +
                "<VE_CUSTOMS_NO>"+ gatherData.getVE_CUSTOMS_NO_RFID() +"</VE_CUSTOMS_NO>\n" +
                "<VE_WT>"+ gatherData.getVE_WT_RFID() +"</VE_WT>\n" +
                "<VE_COMPANY>"+ gatherData.getVE_COMPANY_RFID() +"</VE_COMPANY>\n" +
                "<VE_PERFORMANCE>"+ gatherData.getVE_PERFORMANCE_RFID() +"</VE_PERFORMANCE>\n" +
                "</VE_RFID>\t\n" +

                "<DR_RFID>\n" +
                "<RFID_ID>"+ gatherData.getDR_RFID_ID() +"</RFID_ID>\n" +
                "<DR_NAME>"+ gatherData.getDR_NAME() +"</DR_NAME>\n" +
                "<DR_CUSTOMS_NO>"+ gatherData.getDR_CUSTOMS_NO_RFID() +"</DR_CUSTOMS_NO>\n" +
                "<DR_COMPANY>"+ gatherData.getDR_COMPANY() +"</DR_COMPANY>\n" +
                "<DR_PERFORMANCE>"+ gatherData.getDR_PERFORMANCE() +"</DR_PERFORMANCE>\n" +
                "</DR_RFID>\t\n" +

                "<OPERATOR_ID>"+ gatherData.getOPERATOR_ID() +"</OPERATOR_ID>\n" +
                "<OPERATE_TIME>"+ gatherData.getOPERATE_TIME() +"</OPERATE_TIME>\t\n" +

                "<VE_LICENSE_RECOGNITION>\n" +
                "<DOMESTIC_LICENSE_NO>"+ gatherData.getDOMESTIC_LICENSE_NO() +"</DOMESTIC_LICENSE_NO>\n" +
                //车牌图片保存路径，如有箱号，有箱号图片路径
                "<DOMESTIC_LICENSE_COLOR>"+ gatherData.getDOMESTIC_LICENSE_COLOR() +"</DOMESTIC_LICENSE_COLOR>\n" +
                "<FOREIGN_LICENSE_NO>"+ gatherData.getFOREIGN_LICENSE_NO() +"</FOREIGN_LICENSE_NO>\n" +
                "<FOREIGN_LICENSE_COLOR>"+ gatherData.getFOREIGN_LICENSE_COLOR() +"</FOREIGN_LICENSE_COLOR>\n" +
                "<CONFIDENCE_RATIO>"+ gatherData.getCONFIDENCE_RATIO() +"</CONFIDENCE_RATIO>\n" +
                "</VE_LICENSE_RECOGNITION>\n" +

                "</GATHER_INFO>";

        return xml;
    }


    //放行结果(0x32)——>海关
    public static String ReleaseResXml(Release release) {
        //报文序列号:YYYYMMDDHHmmSS+序号（6位）
        int random = (int) (Math.random() * 1000000);
        String num = String.format("%06d", random);
        String SEQ_NO = DateUtils.dateTimeNow() + num;

        String xml = "<?xml version=\"1.0\" encoding=\"GB2312\"?>\n" +
                "<COMMAND_INFO>\n" +

                //进出标识，I进E出
                "<I_E_TYPE>" + release.getI_E_FLAG() + "</I_E_TYPE>\n" +
                //场站号，固定写为场所分配的场站号
                "<AREA_ID>" + release.getAREA_ID() + "</AREA_ID>\n" +
                //通道号，已经从通道号配置文件中读取
                "<CHNL_NO>" + release.getCHNL_NO() + "</CHNL_NO>\n" +
                //报文序列号
                "<SEQ_NO>"+ SEQ_NO +"</SEQ_NO>\n" +
                //返回结果
                " <EXECUTE_RESULT>放行</EXECUTE_RESULT>\n" +
                //计数器值
                "< ESEAL_USE_COUNT>" + release.getESEAL_USE_COUNT() + "</ ESEAL_USE_COUNT>\n" +

                "</COMMAND_INFO>";

        return xml;
    }
}
