package com.ruoyi.web.entity;

import com.ruoyi.web.config.IdUtils;
import lombok.Data;

/**
 * 发送海关的通讯实体
 */
@Data
public class Customs {
    /// 协议类型 ProtocolType 取值参考,  Bayonet1_1, Bayonet1_2, Bayonet1_3, Bayonet1_4
    public String ProtocolType;

    /// 对应协议的xml字符串, 1.1, 1.2, 1.3 报文照旧, 1.4 报文暂同 1.3
    public String Content;

    /// 未加密的随机生成的guid
    public String Guid = IdUtils.simpleUUID();
}
