package com.ruoyi.web.entity;

import lombok.Data;

/**
 * 海关返回的放行结果(0x31)
 */
@Data
public class CustomsRes {

    //报文序列号
    private String SEQ_NO;
    //进出标识，I进E出
    private String I_E_FLAG;
    //场站号，固定写为场所分配的场站号
    private String AREA_ID;
    //通道号，已经从通道号配置文件中读取
    private String CHNL_NO;

    //返回结果
    private String EXCUTE_COMMAND;

    //GPS
    //海关车辆编号
    private String VE_NAME;
    //GPS ID号
    private String GPS_ID;
    //启运地海关编码
    private String ORIGIN_CUSTOMS;
    //指运地海关编码
    private String DEST_CUSTOMS;

    //SEAL
    //安全智能锁号码
    private String ESEAL_ID;
    //安全智能锁密钥
    private String SEAL_KEY;

    //操作类型
    private String OP_TYPE;
    //抬杠原因
    private String OP_REASON;
    //操作人代码
    private String OP_ID;


}
