package com.ruoyi.web.entity;

import lombok.Data;

/**
 * 散货系统-预约确认接口-返回结果对象
 * {"THRFLAG":"N","RESULT":true,"MESSAGE":""}
 * {"MESSAGE":"请在场内完成过磅","RESULT":false}
 * {"MESSAGE":"一次过磅称重成功","RESULT":true}
 * {"MESSAGE":"放行失败(车牌号：桂N09908D)未找到进港记录或出门证失效，请确认","RESULT":false}
 */
@Data
public class VerificationRes {

    //校验结果 ,为 true 或 false
    public String RESULT;

    //提示信息
    public String MESSAGE;

    //第三方预约标志,如果车号为第三方预约返回Y 码头预约返回 N
    public String THRFLAG;
}
